Pig
  1. Pig
  2. PIG-2277

Make Pig compile against Hadoop 0.22

    Details

    • Type: Bug Bug
    • Status: Resolved
    • Priority: Major Major
    • Resolution: Won't Fix
    • Affects Version/s: 0.8.1
    • Fix Version/s: None
    • Component/s: build
    • Labels:
      None

      Description

      Currently Pig depends on hadoop 0.20.
      While it is relatively easy to pass a property to the build (through -D or through build.properties) to set hadoop-core.version to something else, the problem is that since hadoop 0.22 the project has been split.
      No longer is there one single hadoop-core jar to build against.

      1. PIG-2277-branch-0.8.patch
        25 kB
        Joep Rottinghuis
      2. PIG-2277-branch-0.8.patch
        28 kB
        Joep Rottinghuis

        Issue Links

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              Joep Rottinghuis
            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Development